package types

import "github.com/gofiber/fiber/v2"

// IServHttp -- встроенный веб-сервер
type IServHttp interface {
	// Run -- запускает веб-сервер в работу
	Run() error
	// FiberApp -- возвращает Fiber-приложение
	FiberApp() *fiber.App
	// Service -- возвращает сервис
	Service() IService
}
